# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mpris-nowplaying"
version = "0.1.4"
authors = ["Madeline Sparkles (madeline@mouse.lgbt)"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = 'A websocket based MPRIS2 "now-playing" / status client.'
readme = "README.md"
keywords = [
    "dbus",
    "mpris",
    "music",
    "daemon",
    "web",
]
categories = ["multimedia"]
license = "MIT"
repository = "https://github.com/msparkles/mpris-nowplaying"

[[bin]]
name = "mpris-nowplaying"
path = "src/main.rs"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.env_logger]
version = "0.11"

[dependencies.log]
version = "0.4"

[dependencies.mpris]
version = "2.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-tungstenite]
version = "0.26"
